import type { HighlightOptions } from '../types/highlight.js';
/**
    Apply syntax highlighting to `code` with ASCII color codes. The language is automatically detected if not set.

    ```ts
        import { highlight } from 'cli-highlighter';
        import * as fs from 'node:fs';

        const json = await fs.readFileSync('package.json', 'utf8');
    console.log('package.json:');
    console.log(highlight(json));
    ```

    @param code The code to highlight
    @param options Optional options
*/
export declare function highlight(code: string, options?: HighlightOptions): string;
/**
    Returns all supported languages
*/
export declare function listLanguages(): string[];
/**
    Returns true if the language is supported
    @param name A language name, alias or file extension
*/
export declare function supportsLanguage(name: string): boolean;
